def anim_x_cb(obj, v):
    obj.set_x(v)

my_anim = None

def start_anim(event_struct):
    global my_anim
    a = lv.anim_t()
    a.init()
    a.set_var(Panel1)
    a.set_values(10, 150)
    a.set_time(1000)
    a.set_playback_delay(100)
    a.set_playback_time(300)
    a.set_repeat_delay(500)
    a.set_repeat_count(lv.ANIM_REPEAT.INFINITE)
    a.set_path_cb(lv.anim_t.path_ease_in_out)
    a.set_custom_exec_cb(lambda a,val: anim_x_cb(Panel1,val))
    my_anim =  lv.anim_t.start(a)
    return


def stop_anim(event_struct):
    global my_anim
    lv.anim_del(my_anim, None)
    my_anim = None
    anim_x_cb(Panel1, 10) #Restore the original position
    return
